Main Page Widgets Namespaces Book

# Pango::FontFace Class Reference

Inheritance diagram for Pango::FontFace:

[legend]
List of all members.

## Detailed Description

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

## Public Member Functions

virtual | ~FontFace ()
PangoFontFace* | gobj ()
| Provides access to the underlying C GObject.
const PangoFontFace* | gobj () const
| Provides access to the underlying C GObject.
PangoFontFace* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
FontDescription | describe () const
| Returns the family, style, variant, weight and stretch of a Pango::FontFace.
Glib::ustring | get_name () const
| Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face.
Glib::ArrayHandle<int> | list_sizes () const

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Pango::FontFace> | wrap (PangoFontFace* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Pango::FontFace::~FontFace | ( |  | ) | `[virtual]`

## Member Function Documentation

FontDescription Pango::FontFace::describe | ( |  | ) | const

Returns the family, style, variant, weight and stretch of a Pango::FontFace.

The size field of the resulting font description will be unset.

Returns:
  A Pango::FontDescription holding the description of the face.

Glib::ustring Pango::FontFace::get_name | ( |  | ) | const

Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face.

This name is unique among all faces in the family and is suitable for displaying to users.

Returns:
  The face name for the face. This string is owned by the face object and must not be modified or freed.

const PangoFontFace* Pango::FontFace::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontFace* Pango::FontFace::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontFace* Pango::FontFace::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::ArrayHandle<int> Pango::FontFace::list_sizes | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr<Pango::FontFace> wrap | ( | PangoFontFace* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontface.h